## python-graphene 2.1.9

=== Makefile ===
.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@grep -E '^\.PHONY: [a-zA-Z_-]+ .*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = "(: |##)"}; {printf "\033[36m%-30s\033[0m %s\n", $$2, $$3}'

.PHONY: install-dev ## Install development dependencies
install-dev:
	pip install -e ".[test]"

test:
	py.test graphene

.PHONY: docs ## Generate docs
docs: install-dev
	cd docs && make install && make html

.PHONY: docs-live ## Generate docs with live reloading
docs-live: install-dev
	cd docs && make install && make livehtml

=== docs/requirements.txt ===
# Required library
Sphinx==1.5.3
sphinx-autobuild==0.7.1
# Docs template
http://graphene-python.org/sphinx_graphene_theme.zip

=== debian/changelog ===
python-graphene (2.1.9-1) unstable; urgency=medium

  * Upload to unstable
  * [47f1510] d/control: Remove obsolete field Testsuite
  * [734ffac] d/control: Update Standards-Version to 4.6.0
  * [2261b60] d/README.source: Adding hint about used legacy version
  * [a5bc0cb] d/rules: Remove unneeded lines
  * [02d00a7] d/control: Tighten B-D version on python3-graphql-core

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 28 Dec 2021 09:42:46 +0100

python-graphene (2.1.9-1~exp1) experimental; urgency=medium

  * [e2d9071] New upstream version 2.1.9
  * [9860101] First and basic Debianization
    (Closes: #991775)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 17 Aug 2021 17:15:00 +0200

=== debian/control ===
Source: python-graphene
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-aniso8601,
 python3-graphql-core (<< 3~),
# python3-graphql-relay,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphene
Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphene.git
Homepage: https://github.com/graphql-python/graphene

Package: python-graphene-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: GraphQL Framework for Python (Documentation)
 Graphene is a Python library for building GraphQL schemas/types fast and
 easily.
 .
  * Easy to use: Graphene helps you use GraphQL in Python without effort.
  * Relay: Graphene has builtin support for Relay.
  * Data agnostic: Graphene supports any kind of data source: SQL (Django,
    SQLAlchemy), NoSQL, custom Python objects, etc. Upstream believes
    that by providing a complete API you could plug Graphene anywhere
    your data lives and make your data available through GraphQL.
 .
 This package contains the documentation of the library.

Package: python3-graphene
Architecture: all
Depends:
 python3-graphql-core (<< 3~),
 python3-graphql-relay (<< 3~),
 ${misc:Depends},
 ${python3:Depends},
Description: GraphQL Framework for Python (Python3 version)
 Graphene is a Python library for building GraphQL schemas/types fast and
 easily.
 .
  * Easy to use: Graphene helps you use GraphQL in Python without effort.
  * Relay: Graphene has builtin support for Relay.
  * Data agnostic: Graphene supports any kind of data source: SQL (Django,
    SQLAlchemy), NoSQL, custom Python objects, etc. Upstream believes
    that by providing a complete API you could plug Graphene anywhere
    your data lives and make your data available through GraphQL.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=graphene
# The test suite is requiring some more preparations which will have changed
# again for version 3.x so let's skip this.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-graphene-doc/usr/share/doc/python-graphene-doc/html
	rm $(CURDIR)/debian/python-graphene-doc/usr/share/doc/python-graphene-doc/html/.nojekyll || true
	dh_sphinxdoc
endif

=== debian/watch ===
# watch file for graphene

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/graphene-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/graphql-python/graphene.git \
refs/tags/v(\d+\.\d+|\d+\.\d+\.\d+)

## python-graphene 3.3.0

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,11 @@
 
 .PHONY: install-dev ## Install development dependencies
 install-dev:
-	pip install -e ".[test]"
+	pip install -e ".[dev]"
 
+.PHONY: test ## Run tests
 test:
-	py.test graphene
+	py.test graphene examples
 
 .PHONY: docs ## Generate docs
 docs: install-dev
@@ -17,3 +18,11 @@
 .PHONY: docs-live ## Generate docs with live reloading
 docs-live: install-dev
 	cd docs && make install && make livehtml
+
+.PHONY: format
+format:
+	black graphene examples setup.py
+
+.PHONY: lint
+lint:
+	flake8 graphene examples setup.py

=== debian/changelog ===
python-graphene (3.3.0-1) unstable; urgency=medium

  * [39c0983] New upstream version 3.3.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Jul 2023 07:57:24 +0200

python-graphene (3.2.2-3) unstable; urgency=medium

  * [6418d0a] d/control: Add needed package while running tests
  * [7bd2f41] d/t/control: Also add python3-tz needed for autopkgtests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 22 Jun 2023 21:09:43 +0200

python-graphene (3.2.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 18 Jun 2023 08:12:27 +0200

python-graphene (3.2.2-1) experimental; urgency=medium

  * [2d1bbc7] New upstream version 3.2.2
  * [469c004] d/control: Increase Standards-Version to 4.6.2
    No further changes needed.
  * [3b6b458] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 16 Mar 2023 22:12:46 +0100

python-graphene (3.2.1-1) experimental; urgency=medium

  * [4fa5514] New upstream version 3.2.1
  * [5f6be3e] d/control: Update build deps, add BuildProfileSpecs
  * [f5722f9] d/rules: Set up and use a variable $(SPHINXOPTS)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 14 Dec 2022 18:18:25 +0100

python-graphene (3.1.1-1) experimental; urgency=medium

  * [6e10b26] New upstream version 3.1.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 11 Sep 2022 19:02:53 +0200

python-graphene (3.1.0-2) experimental; urgency=medium

  * [07fd380] d/control: Add missed promise package to B-D
  * [6a1aaca] autopkgtest: Adopt required package list for tests
  * [e46bcca] d/control: Tune VCS linking to debian/experimental

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Jun 2022 09:14:45 +0200

python-graphene (3.1.0-1) experimental; urgency=medium

  * [6fa0a20] New upstream version 3.1.0
  * [d67775d] Rebuild patch queue from patch-queue branch
    Added patches:
    debian-hacks/pytest-Skip-snapshottest-testing-in-test_connections.py.patch
    debian-hacks/pytest-Skip-snapshottest-testing-in-test_mutation.py.patch
    debian-hacks/pytest-Skip-snapshottest-testing-in-test_objectidentifica.patch
    debian-hacks/pytest-Skip-snapshottest-testing-in-test_query.py.patch
  * [35b2471] d/copyright: Update year data
  * [d307e51] d/control: Increase Standards-Version to 4.6.1
    No further changes needed.
  * [030324c] d/control: Add more B-D packages
    The internal test suite requires some more packages.
  * [ecc46b0] d/rules: Turn on the internal testing
  * [6ab3825] autopkgtest: Adding first working setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 04 Jun 2022 20:32:57 +0200

python-graphene (3.0.0-1) experimental; urgency=medium

  * [ce9607a] d/control: Mark the -doc package Multi-Arch: foreign
  * [4bbe586] d/gbp.conf: Adjust to debian/experimental
  * [35dad52] New upstream version 3.0.0
  * [62fe884] d/copyright: Update data due new upstream version
  * [cbf3a1a] d/control: Adjust dep versions for python3-graphene
  * [7899d04] d/rules: Update information about not used testsuite

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Jan 2022 20:35:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,31 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
- dh-python,
  python3-aniso8601,
- python3-graphql-core (<< 3~),
-# python3-graphql-relay,
+ python3-graphql-core (>> 3.1),
+ python3-graphql-relay (>> 3.1),
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-benchmark <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-mock <!nocheck>,
  python3-setuptools,
- python3-sphinx,
- python3-sphinx-rtd-theme,
+ python3-sphinx  <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphene
-Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphene.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphene/commits/debian/master
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphene.git -b debian/master
 Homepage: https://github.com/graphql-python/graphene
 
 Package: python-graphene-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},
@@ -43,8 +51,8 @@
 Package: python3-graphene
 Architecture: all
 Depends:
- python3-graphql-core (<< 3~),
- python3-graphql-relay (<< 3~),
+ python3-graphql-core (>= 3.1.2~),
+ python3-graphql-relay (>= 3.0~),
  ${misc:Depends},
  ${python3:Depends},
 Description: GraphQL Framework for Python (Python3 version)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=graphene

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=. \
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html  $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-graphene-doc/usr/share/doc/python-graphene-doc/html
	rm $(CURDIR)/debian/python-graphene-doc/usr/share/doc/python-graphene-doc/html/.nojekyll || true
	dh_sphinxdoc
endif

override_dh_fixperms:
	dh_fixperms
	find debian/python3-graphene -depth -name __pycache__ -execdir rm -rf {} +

## python-graphene 3.4.1

=== debian/changelog ===
python-graphene (3.4.1-1) unstable; urgency=medium

  * [285edf1] d/watch: Set compression to gz
  * [2806487] New upstream version 3.4.1
    (Closes: #1082220)
  * [4f21709] Rebuild patch queue from patch-queue branch
    Removed patch (included or fixed upstream):
    fixes/pytest-Don-t-use-nose-like-syntax.patch
    debian-hacks/pytest-Skip-snapshottest-testing-in-test_connections.py.patch
    debian-hacks/pytest-Skip-snapshottest-testing-in-test_mutation.py.patch
    debian-hacks/pytest-Skip-snapshottest-testing-in-test_objectidentifica.patch
    debian-hacks/pytest-Skip-snapshottest-testing-in-test_query.py.patch
  * [6e06a83] d/control: Increase Standards-Version to 4.7.0
    No further changes needed.
  * [673f81a] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 05 Nov 2024 16:07:13 +0100

python-graphene (3.3.0-2) unstable; urgency=medium

  * [d846870] Rebuild patch queue from patch-queue branch
    Added patch:
    fixes/pytest-Don-t-use-nose-like-syntax.patch
    (Closes: #1063947, #1066782)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 17 Mar 2024 10:21:25 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphene/commits/debian/master
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphene.git -b debian/master
 Homepage: https://github.com/graphql-python/graphene

## python-graphene 3.4.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@grep -E '^\.PHONY: [a-zA-Z_-]+ .*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = "(: |##)"}; {printf "\033[36m%-30s\033[0m %s\n", $$2, $$3}'

.PHONY: install ## to install all documentation related requirements
install:
	pip install -r requirements.txt

.PHONY: clean ## to remove all built documentation
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html ## to make standalone HTML files
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml ## to make HTML files named index.html in directories
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml ## to make a single large HTML file
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle ## to make pickle files
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json ## to make JSON files
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp ## to make HTML files and a HTML help project
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp ## to make HTML files and a qthelp project
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Graphene.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Graphene.qhc"

.PHONY: applehelp ## to make an Apple Help Book
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp ## to make HTML files and a Devhelp project
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Graphene"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Graphene"
	@echo "# devhelp"

.PHONY: epub ## to make an epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3 ## to make an epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex ## to make LaTeX files, you can set PAPER=a4 or PAPER=letter
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf ## to make LaTeX files and run them through pdflatex
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja ## to make LaTeX files and run them through platex/dvipdfmx
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text ## to make text files
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man ## to make manual pages
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo ## to make Texinfo files
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info ## to make Texinfo files and run them through makeinfo
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext ## to make PO message catalogs
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes ## to make an overview of all changed/added/deprecated items
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck ## to check all external links for integrity
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest ## to run all doctests embedded in the documentation (if enabled)
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage ## to run coverage check of the documentation (if enabled)
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml ## to make Docutils-native XML files
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml ## to make pseudoxml-XML files for display purposes
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy ## to check syntax errors of document sources
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

.PHONY: livehtml ## to build and serve live-reloading documentation
livehtml:
	sphinx-autobuild -b html --watch ../graphene $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== docs/requirements.txt ===
# Required library
Sphinx==6.1.3
sphinx-autobuild==2021.3.14
# Docs template
http://graphene-python.org/sphinx_graphene_theme.zip

=== debian/changelog ===
python-graphene (3.4.3-3) unstable; urgency=medium

  * Team upload.
  * Drop unneeded build-dependency on python3-tz (Closes: #1121623)
  * Move python3-setuptools to Build-Depends: to fix Salsa CI
  * Rewrite d/rules with newer & shorter syntax
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Feb 2026 00:18:54 +0100

python-graphene (3.4.3-2) unstable; urgency=medium

  * Team upload.
  * Remove examples from dist-packages

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Apr 2025 12:17:41 +0200

python-graphene (3.4.3-1) unstable; urgency=medium

  * [8a7e782] New upstream version 3.4.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 11 Nov 2024 08:29:53 +0100

python-graphene (3.4.1-2) unstable; urgency=medium

  * [5b89858] d/rules: Remove .mypy_cache folder in dh_clean
  * [a633210] d/control: Add python3-dateutil to B-D
  * [f0ce1e2] d/rules: Drop -D option from SPHINXOPTS

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 Nov 2024 12:17:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  python3-all,
+ python3-setuptools,
 Build-Depends-Indep:
  python3-aniso8601,
+ python3-dateutil <!nocheck>,
  python3-graphql-core (>> 3.1),
  python3-graphql-relay (>> 3.1),
  python3-pytest <!nocheck>,
@@ -18,12 +19,9 @@
  python3-pytest-benchmark <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-mock <!nocheck>,
- python3-setuptools,
  python3-sphinx  <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
- python3-tz <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphene/commits/debian/master
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphene.git -b debian/master
 Homepage: https://github.com/graphql-python/graphene

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N

export PYBUILD_NAME=graphene

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_clean:
	rm -rf .mypy_cache

override_dh_auto_test:
	PYTHONPATH=. \
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	rm $(CURDIR)/debian/python-graphene-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html/.nojekyll || true
	dh_sphinxdoc
endif

execute_after_dh_fixperms:
	find debian/python3-graphene -depth -name __pycache__ -execdir rm -rf {} +

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-graphql-core (>> 3.1),
 python3-graphql-relay (>> 3.1),
 python3-promise,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-benchmark,
 python3-pytest-cov,
 python3-pytest-mock,
 @,
Restrictions: allow-stderr
